/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.Disclose;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.PersonnelManagement;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.DiscloseMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.PersonnelManagementMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 施工交底Service
 * @author
 * @version 2019-11-08
 */
@Service
@Transactional(readOnly = true)
public class PersonnelManagementService extends CrudService<PersonnelManagementMapper,PersonnelManagement> {

	@Autowired
	private PersonnelManagementMapper personnelManagementMapper;

	@Override
	public PersonnelManagement get(String id) {
		return super.get(id);
	}

	@Override
	public List<PersonnelManagement> findList(PersonnelManagement entity) {
		return super.findList(entity);
	}

	@Override
	public void save(PersonnelManagement entity) {
		super.save(entity);
	}

	@Override
	public void delete(PersonnelManagement entity) {
		super.delete(entity);
	}
}